SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Firewall)  >   WatchGuard XTM Vendors:   WatchGuard
(WatchGuard Issues Fix for WatchGuard XTM) OpenSSL TLS Heartbeat Buffer Overread Lets Remote Users Obtain Potentially Sensitive Information
SecurityTracker Alert ID:  1030053
SecurityTracker URL:  http://securitytracker.com/id/1030053
CVE Reference:   CVE-2014-0160   (Links to External Site)
Date:  Apr 11 2014
Impact:   Disclosure of authentication information, Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 11.8.x
Description:   A vulnerability was reported in OpenSSL. A remote user can obtain potentially sensitive information. WatchGuard XTM is affected.

A remote client or server can trigger a buffer overread in the processing of the TLS heartbeat extension to obtain up to 64k of memory (per heartbeat request), potentially including encryption keys.

The vulnerability was introduced to the source code in December 2011 and to release version 1.0.1 in March 2012.

[Editor's note: This vulnerability is known as the OpenSSL heartbleed vulnerability.]

Neel Mehta of Google Security reported this vulnerability.

Impact:   A remote user can obtain potentially sensitive information, including encryption keys.
Solution:   WatchGuard has issued a fix for WatchGuard XTM (11.8.3 Update 1).

Encryption keys used with vulnerable versions may have been compromised and should be replaced.

Versions 11.7.4 and prior are not affected.

The WatchGuard advisory is available at:

http://watchguardsecuritycenter.com/2014/04/09/11-8-3-update-1-now-available-to-fix-heartbleed-vulnerabilty-in-fireware-xtm-os/

Vendor URL:  www.openssl.org/news/secadv_20140407.txt (Links to External Site)
Cause:   Access control error, Boundary error

Message History:   This archive entry is a follow-up to the message listed below.
Apr 8 2014 OpenSSL TLS Heartbeat Buffer Overread Lets Remote Users Obtain Potentially Sensitive Information



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC